> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get share viewaggregations

> Get share view aggregations



## OpenAPI

````yaml /swagger.json get /share/{shareId}/view/aggregations
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /share/{shareId}/view/aggregations:
    get:
      tags:
        - share
      description: Get share view aggregations
      parameters:
        - schema:
            type: string
          required: true
          name: shareId
          in: path
        - schema:
            anyOf:
              - type: string
              - type: boolean
            description: >-
              When a viewId is specified, configure this to true will ignore the
              view's filter, sort, etc
          required: false
          description: >-
            When a viewId is specified, configure this to true will ignore the
            view's filter, sort, etc
          name: ignoreViewQuery
          in: query
        - schema:
            type: string
            example: '{field} = ''Completed'' AND {field} > 5'
            deprecated: true
          required: false
          name: filterByTql
          in: query
        - schema:
            type: string
            description: >-
              A filter object for complex query conditions based on fields,
              operators, and values. Use our visual query builder at
              https://app.teable.ai/developer/tool/query-builder to build
              filters.
          required: false
          description: >-
            A filter object for complex query conditions based on fields,
            operators, and values. Use our visual query builder at
            https://app.teable.ai/developer/tool/query-builder to build filters.
          name: filter
          in: query
        - schema:
            anyOf:
              - type: array
                items:
                  type: string
                minItems: 1
                maxItems: 1
              - type: array
                items:
                  type: string
                minItems: 2
                maxItems: 2
              - type: array
                items:
                  anyOf:
                    - type: string
                    - anyOf:
                        - type: string
                        - type: boolean
                minItems: 3
                maxItems: 3
            default:
              - searchValue
              - fieldIdOrName
              - false
            description: Search for records that match the specified field and value
          required: false
          description: Search for records that match the specified field and value
          name: search
          in: query
        - schema:
            anyOf:
              - type: array
                items:
                  type: string
                minItems: 2
                maxItems: 2
              - type: string
            example:
              - fldXXXXXXX
              - recXXXXXXX
            description: >-
              Filter out the records that can be selected by a given link cell
              from the relational table. For example, if the specified field is
              one to many or one to one relationship, recordId for which the
              field has already been selected will not appear.
          required: false
          description: >-
            Filter out the records that can be selected by a given link cell
            from the relational table. For example, if the specified field is
            one to many or one to one relationship, recordId for which the field
            has already been selected will not appear.
          name: filterLinkCellCandidate
          in: query
        - schema:
            anyOf:
              - type: array
                items:
                  type: string
                minItems: 2
                maxItems: 2
              - type: string
            example:
              - fldXXXXXXX
              - recXXXXXXX
            description: >-
              Filter out selected records based on this link cell from the
              relational table. Note that viewId, filter, and orderBy will not
              take effect in this case because selected records has it own
              order. Ignoring recordId gets all the selected records for the
              field
          required: false
          description: >-
            Filter out selected records based on this link cell from the
            relational table. Note that viewId, filter, and orderBy will not
            take effect in this case because selected records has it own order.
            Ignoring recordId gets all the selected records for the field
          name: filterLinkCellSelected
          in: query
        - schema:
            type: array
            items:
              type: string
            description: Filter selected records by record ids
          required: false
          description: Filter selected records by record ids
          name: selectedRecordIds
          in: query
        - schema:
            type: string
            description: >-
              An array of group objects that specifies how the records should be
              grouped.
          required: false
          description: >-
            An array of group objects that specifies how the records should be
            grouped.
          name: groupBy
          in: query
        - schema:
            type: object
            properties:
              count:
                type: array
                items:
                  type: string
              empty:
                type: array
                items:
                  type: string
              filled:
                type: array
                items:
                  type: string
              unique:
                type: array
                items:
                  type: string
              max:
                type: array
                items:
                  type: string
              min:
                type: array
                items:
                  type: string
              sum:
                type: array
                items:
                  type: string
              average:
                type: array
                items:
                  type: string
              checked:
                type: array
                items:
                  type: string
              unChecked:
                type: array
                items:
                  type: string
              percentEmpty:
                type: array
                items:
                  type: string
              percentFilled:
                type: array
                items:
                  type: string
              percentUnique:
                type: array
                items:
                  type: string
              percentChecked:
                type: array
                items:
                  type: string
              percentUnChecked:
                type: array
                items:
                  type: string
              earliestDate:
                type: array
                items:
                  type: string
              latestDate:
                type: array
                items:
                  type: string
              dateRangeOfDays:
                type: array
                items:
                  type: string
              dateRangeOfMonths:
                type: array
                items:
                  type: string
              totalAttachmentSize:
                type: array
                items:
                  type: string
          required: false
          name: field
          in: query
      responses:
        '200':
          description: Returns aggregations list of share view.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    type:
                      type: string
                      enum:
                        - grid
                        - calendar
                        - kanban
                        - form
                        - gallery
                        - plugin
                    description:
                      type: string
                    order:
                      type: number
                    options:
                      anyOf:
                        - type: object
                          properties:
                            rowHeight:
                              type: string
                              enum:
                                - short
                                - medium
                                - tall
                                - extraTall
                                - autoFit
                              description: The row height level of row in view
                            fieldNameDisplayLines:
                              type: number
                              minimum: 1
                              maximum: 3
                              description: The field name display lines in view
                            frozenColumnCount:
                              type: number
                              minimum: 0
                              description: >-
                                The frozen column count in view. Deprecated:
                                this field will be removed in a future release
                                and may no longer take effect.
                            frozenFieldId:
                              type: string
                              description: >-
                                Freeze to the right side of this field id in
                                grid view
                          additionalProperties: false
                        - type: object
                          properties:
                            stackFieldId:
                              type: string
                              description: The field id of the Kanban stack.
                            coverFieldId:
                              type: string
                              nullable: true
                              description: >-
                                The cover field id is a designated attachment
                                field id, the contents of which appear at the
                                top of each Kanban card.
                            isCoverFit:
                              type: boolean
                              description: >-
                                If true, cover images are resized to fit Kanban
                                cards.
                            isFieldNameHidden:
                              type: boolean
                              description: If true, hides field name in the Kanban cards.
                            isEmptyStackHidden:
                              type: boolean
                              description: If true, hides empty stacks in the Kanban.
                          additionalProperties: false
                        - type: object
                          properties:
                            coverFieldId:
                              type: string
                              nullable: true
                              description: >-
                                The cover field id is a designated attachment
                                field id, the contents of which appear at the
                                top of each gallery card.
                            isCoverFit:
                              type: boolean
                              description: >-
                                If true, cover images are resized to fit gallery
                                cards.
                            isFieldNameHidden:
                              type: boolean
                              description: If true, hides field name in the gallery cards.
                          additionalProperties: false
                        - type: object
                          properties:
                            startDateFieldId:
                              type: string
                              nullable: true
                              description: The start date field id.
                            endDateFieldId:
                              type: string
                              nullable: true
                              description: The end date field id.
                            titleFieldId:
                              type: string
                              nullable: true
                              description: The title field id.
                            colorConfig:
                              type: object
                              nullable: true
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - field
                                    - custom
                                fieldId:
                                  type: string
                                  nullable: true
                                  description: The color field id.
                                color:
                                  type: string
                                  nullable: true
                                  enum:
                                    - blueLight2
                                    - blueLight1
                                    - blueBright
                                    - blue
                                    - blueDark1
                                    - cyanLight2
                                    - cyanLight1
                                    - cyanBright
                                    - cyan
                                    - cyanDark1
                                    - grayLight2
                                    - grayLight1
                                    - grayBright
                                    - gray
                                    - grayDark1
                                    - greenLight2
                                    - greenLight1
                                    - greenBright
                                    - green
                                    - greenDark1
                                    - orangeLight2
                                    - orangeLight1
                                    - orangeBright
                                    - orange
                                    - orangeDark1
                                    - pinkLight2
                                    - pinkLight1
                                    - pinkBright
                                    - pink
                                    - pinkDark1
                                    - purpleLight2
                                    - purpleLight1
                                    - purpleBright
                                    - purple
                                    - purpleDark1
                                    - redLight2
                                    - redLight1
                                    - redBright
                                    - red
                                    - redDark1
                                    - tealLight2
                                    - tealLight1
                                    - tealBright
                                    - teal
                                    - tealDark1
                                    - yellowLight2
                                    - yellowLight1
                                    - yellowBright
                                    - yellow
                                    - yellowDark1
                                  description: The color.
                              required:
                                - type
                          additionalProperties: false
                        - type: object
                          properties:
                            coverUrl:
                              type: string
                              description: The cover url of the form
                            logoUrl:
                              type: string
                              description: The logo url of the form
                            submitLabel:
                              type: string
                              description: The submit button text of the form
                          additionalProperties: false
                        - type: object
                          properties:
                            pluginId:
                              type: string
                              description: The plugin id
                            pluginInstallId:
                              type: string
                              description: The plugin install id
                            pluginLogo:
                              type: string
                              description: The plugin logo
                          required:
                            - pluginId
                            - pluginInstallId
                            - pluginLogo
                          additionalProperties: false
                    sort:
                      type: object
                      nullable: true
                      properties:
                        sortObjs:
                          type: array
                          items:
                            type: object
                            properties:
                              fieldId:
                                type: string
                                description: The id of the field.
                              order:
                                type: string
                                enum:
                                  - asc
                                  - desc
                            required:
                              - fieldId
                              - order
                        manualSort:
                          type: boolean
                      required:
                        - sortObjs
                    filter:
                      type: object
                      description: >-
                        A filter object for complex query conditions based on
                        fields, operators, and values. Use our visual query
                        builder at
                        https://app.teable.ai/developer/tool/query-builder to
                        build filters.
                    group:
                      type: array
                      nullable: true
                      items:
                        type: object
                        properties:
                          fieldId:
                            type: string
                            description: The id of the field.
                          order:
                            type: string
                            enum:
                              - asc
                              - desc
                        required:
                          - fieldId
                          - order
                    isLocked:
                      type: boolean
                    shareId:
                      type: string
                    enableShare:
                      type: boolean
                    shareMeta:
                      type: object
                      properties:
                        allowCopy:
                          type: boolean
                        includeHiddenField:
                          type: boolean
                        password:
                          type: string
                          minLength: 3
                        includeRecords:
                          type: boolean
                        submit:
                          type: object
                          properties:
                            allow:
                              type: boolean
                            requireLogin:
                              type: boolean
                    createdBy:
                      type: string
                    lastModifiedBy:
                      type: string
                    createdTime:
                      type: string
                    lastModifiedTime:
                      type: string
                    columnMeta:
                      type: object
                      additionalProperties:
                        anyOf:
                          - type: object
                            properties:
                              order:
                                type: number
                                description: >-
                                  Order is a floating number, column will sort
                                  by it in the view.
                              width:
                                type: number
                                description: Column width in the view.
                              hidden:
                                type: boolean
                                description: If column hidden in the view.
                              statisticFunc:
                                type: string
                                nullable: true
                                enum:
                                  - count
                                  - empty
                                  - filled
                                  - unique
                                  - max
                                  - min
                                  - sum
                                  - average
                                  - checked
                                  - unChecked
                                  - percentEmpty
                                  - percentFilled
                                  - percentUnique
                                  - percentChecked
                                  - percentUnChecked
                                  - earliestDate
                                  - latestDate
                                  - dateRangeOfDays
                                  - dateRangeOfMonths
                                  - totalAttachmentSize
                                description: Statistic function of the column in the view.
                            required:
                              - order
                            additionalProperties: false
                          - type: object
                            properties:
                              order:
                                type: number
                                description: >-
                                  Order is a floating number, column will sort
                                  by it in the view.
                              visible:
                                type: boolean
                                description: If column visible in the kanban view.
                            required:
                              - order
                            additionalProperties: false
                          - type: object
                            properties:
                              order:
                                type: number
                                description: >-
                                  Order is a floating number, column will sort
                                  by it in the view.
                              visible:
                                type: boolean
                                description: If column visible in the gallery view.
                            required:
                              - order
                            additionalProperties: false
                          - type: object
                            properties:
                              order:
                                type: number
                                description: >-
                                  Order is a floating number, column will sort
                                  by it in the view.
                              visible:
                                type: boolean
                                description: If column visible in the view.
                              required:
                                type: boolean
                                description: If column is required.
                            required:
                              - order
                            additionalProperties: false
                          - type: object
                            properties:
                              order:
                                type: number
                                description: >-
                                  Order is a floating number, column will sort
                                  by it in the view.
                              hidden:
                                type: boolean
                                description: If column hidden in the view.
                            required:
                              - order
                            additionalProperties: false
                      description: >-
                        A mapping of view IDs to their corresponding column
                        metadata.
                    pluginId:
                      type: string
                  required:
                    - id
                    - name
                    - type
                    - createdBy
                    - createdTime
                    - columnMeta
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/share/%7BshareId%7D/view/aggregations?ignoreViewQuery=SOME_STRING_VALUE&filterByTql=%7Bfield%7D+%3D+%27Completed%27+AND+%7Bfield%7D+%3E+5&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&filterLinkCellCandidate=fldXXXXXXX&filterLinkCellCandidate=recXXXXXXX&filterLinkCellSelected=fldXXXXXXX&filterLinkCellSelected=recXXXXXXX&selectedRecordIds=SOME_ARRAY_VALUE&groupBy=SOME_STRING_VALUE&field=SOME_OBJECT_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/share/%7BshareId%7D/view/aggregations?ignoreViewQuery=SOME_STRING_VALUE&filterByTql=%7Bfield%7D+%3D+%27Completed%27+AND+%7Bfield%7D+%3E+5&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&filterLinkCellCandidate=fldXXXXXXX&filterLinkCellCandidate=recXXXXXXX&filterLinkCellSelected=fldXXXXXXX&filterLinkCellSelected=recXXXXXXX&selectedRecordIds=SOME_ARRAY_VALUE&groupBy=SOME_STRING_VALUE&field=SOME_OBJECT_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/share/%7BshareId%7D/view/aggregations?ignoreViewQuery=SOME_STRING_VALUE&filterByTql=%7Bfield%7D+%3D+%27Completed%27+AND+%7Bfield%7D+%3E+5&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&filterLinkCellCandidate=fldXXXXXXX&filterLinkCellCandidate=recXXXXXXX&filterLinkCellSelected=fldXXXXXXX&filterLinkCellSelected=recXXXXXXX&selectedRecordIds=SOME_ARRAY_VALUE&groupBy=SOME_STRING_VALUE&field=SOME_OBJECT_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/share/%7BshareId%7D/view/aggregations?ignoreViewQuery=SOME_STRING_VALUE&filterByTql=%7Bfield%7D+%3D+%27Completed%27+AND+%7Bfield%7D+%3E+5&filter=SOME_STRING_VALUE&search=SOME_ARRAY_VALUE&filterLinkCellCandidate=fldXXXXXXX&filterLinkCellCandidate=recXXXXXXX&filterLinkCellSelected=fldXXXXXXX&filterLinkCellSelected=recXXXXXXX&selectedRecordIds=SOME_ARRAY_VALUE&groupBy=SOME_STRING_VALUE&field=SOME_OBJECT_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````